%define debug_package %{nil}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
# Created by pyp2rpm-3.2.3
%global pypi_name ssdeep

Name:           python-%{pypi_name}
Version:        3.2
Release:        1%{?dist}
Summary:        Python wrapper for the ssdeep library

License:        LGPLv3+
URL:            http://github.com/DinoTools/python-ssdeep
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
 
%if 0%{?fedora} >= 24
BuildRequires:  python2-devel
BuildRequires:  python2-cffi
BuildRequires:  python2-setuptools
BuildRequires:  python2-six >= 1.4.1
%else
BuildRequires:  python2-devel
BuildRequires:  python-cffi
BuildRequires:  python2-setuptools
BuildRequires:  python-six >= 1.4.1
%endif

%if 0%{?fedora}
BuildRequires:  python3-devel
BuildRequires:  python3-cffi
BuildRequires:  python3-setuptools
BuildRequires:  python3-six >= 1.4.1
%endif

BuildRequires:	ssdeep-devel

%description
ssdeep Python Wrapper This is a straightforward Python wrapper for ssdeep by
Jesse Kornblum_, which is a library for computing context triggered piecewise
hashes (CTPH). Also called fuzzy hashes, CTPH can match inputs that have
homologies. Such inputs have sequences of identical bytes in the same order,
although bytes in between these sequences may be different in both content and
length. :target:

%package -n     python2-%{pypi_name}
Summary:        %{summary}
%if 0%{?fedora} 
%{?python_provide:%python_provide python2-%{pypi_name}}
%endif
 
%if 0%{?fedora} >= 24
BuildRequires:  python2-devel
Requires:       python2-cffi
Requires:       python2-six >= 1.4.1
%else
BuildRequires:  python2-devel
Requires:       python-cffi
Requires:       python-six >= 1.4.1
%endif
%description -n python2-%{pypi_name}
ssdeep Python Wrapper This is a straightforward Python wrapper for ssdeep by
Jesse Kornblum_, which is a library for computing context triggered piecewise
hashes (CTPH). Also called fuzzy hashes, CTPH can match inputs that have
homologies. Such inputs have sequences of identical bytes in the same order,
although bytes in between these sequences may be different in both content and
length. :target:

%if 0%{?fedora} 
%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3-cffi
Requires:       python3-six >= 1.4.1
%description -n python3-%{pypi_name}
ssdeep Python Wrapper This is a straightforward Python wrapper for ssdeep by
Jesse Kornblum_, which is a library for computing context triggered piecewise
hashes (CTPH). Also called fuzzy hashes, CTPH can match inputs that have
homologies. Such inputs have sequences of identical bytes in the same order,
although bytes in between these sequences may be different in both content and
length. :target:
%endif

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%if 0%{?centos}
python2 setup.py build
%else
%py2_build
%py3_build
%endif

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
%if 0%{?centos}
python2 setup.py install --root %{buildroot}
%else
%py2_install
%py3_install
%endif

%files -n python2-%{pypi_name}
%doc README.rst
%{python2_sitearch}/%{pypi_name}
%{python2_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info

%if 0%{?fedora}
%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info
%endif

%changelog
* Wed Jan 03 2018 repoman - 3.2-1
- Initial pack}age.
